package com.hfkj.service.meal;

import com.hfkj.entity.BsMealTable;

import java.util.List;
import java.util.Map;

/**
 * 扫码点餐【桌台、桌码】
 * @className: BsMealTableService
 * @author: HuRui
 * @date: 2023/11/29
 **/
public interface BsMealTableService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsMealTable data);

    /**
     * 生成桌台
     * @param storeId 门店
     * @param generateNum 数量
     */
    void generateTable(Long storeId, Integer generateNum);

    /**
     * 删除桌台
     * @param serialNumber
     */
    void delTable(String serialNumber);

    /**
     * 查询桌台
     * @param serialNumber
     * @return
     */
    BsMealTable getTableBySerialNumber(String serialNumber);

    /**
     * 查询桌台列表
     * @param param
     * @return
     */
    List<BsMealTable> getTableList(Map<String,Object> param);

    /**
     * 开台
     * @param serialNumber 桌台编号
     * @param peopleNum  人数
     */
    void startTable(String serialNumber, Integer peopleNum);

    /**
     * 关台
     * @param serialNumber
     */
    void endTable(String serialNumber);

}
